TRN-ARTCHK(1)

NAME
trn-artchk - check a news article's validity

SYNOPSIS
trn-artchk article maxLineLen newsgroupsFile activeFile

DESCRIPTION

trn-artchk will check an article intended for posting to USENET for validity, printing warnings if problems are found. As the name implies, it's mostly intended to be used internally by the trn(1) newsreader.

It will check the article for a variety of problems, including overlong lines, incorrect header syntax, missing trailing newline and attempt to post to invalid newsgroups. It will print a summary of groups the article is intended for, with descriptions.

OPTIONS

article
    This should be the file containing the article to check.

maxLineLen
    should be the maximum line length to accept. A warning will be issued if the article contains any lines longer than this.

newsgroupsFile
    should be a newsgroups file in the standard format used by NNTP servers. If the file is not found, trn-artchk will attempt to make an NNTP connection to obtain the information. Note that even if it is desired to obtain the information from the server this article must still be present, as a placeholder.

activeFile
    should be an NNTP server active file. The same notes apply to this as to the newsgroupsFile argument.

AUTHOR
Wayne Davison, Stan Barber and Larry Wall are all candidates for authorship of trn-artchk; its provenance is uncertain.

Peter Maydell <pmaydell@chiark.greenend.org.uk> wrote this manual page.

SEE ALSO
trn(1)